package sca.component.java.impl;

import commonj.sdo.DataObject;
import com.ibm.websphere.sca.ServiceManager;

public class Component1Impl {
	/**
	 * Default constructor.
	 */
	public Component1Impl() {
		super();
	}

	/**
	 * Return a reference to the component service instance for this implementation
	 * class.  This method should be used when passing this service to a partner reference
	 * or if you want to invoke this component service asynchronously.    
	 *
	 * @generated (com.ibm.wbit.java)
	 */
	private Object getMyService() {
		return (Object) ServiceManager.INSTANCE.locateService("self");
	}

	/**
	 * Method generated to support implemention of operation "emitFlatFile" defined for WSDL port type 
	 * named "FFInboundInterface".
	 * 
	 * The presence of commonj.sdo.DataObject as the return type and/or as a parameter 
	 * type conveys that its a complex type. Please refer to the WSDL Definition for more information 
	 * on the type of input, output and fault(s).
	 */
	public void emitFlatFile(DataObject emitFlatFileInput) {
		
		DataObject exampleDO = emitFlatFileInput.getDataObject("FlatFile");
		
		String chunkInfo = exampleDO.getString("chunkFileName");
		System.out.println("ENDPOINT ::: " + chunkInfo);
		
		DataObject unstructuredContent = exampleDO.getDataObject("content");
		System.out.println("ENDPOINT ::: After getting unstructured content");
		
		/*byte[] content = unstructuredContent.getBytes("AsBinary");
		if(content != null)
			System.out.println("ENDPOINT content::: "+content.length);
		else
			System.out.println("CONTENT IS NULL");*/
		
		String content = unstructuredContent.getString("AsText");
		if((!content.equalsIgnoreCase("")) || (content != null))
			System.out.println("ENDPOINT ::: " + content);
		else
			System.out.println("ENDPOINT ::: Content is null");
	}
}